#pragma once
#include "Entity.h"
#include "EntityStateGravity.h"
//鱼钩（抓钩用法）
class CS_KanpaGrapplingHookBlade :
    public Entity
{
public:
    CS_KanpaGrapplingHookBlade(std::shared_ptr<Entity> parent);
    void Init(std::weak_ptr<Entity> self) override;
    void Step() override;
    void DeltaTime(float deltaTime) override;//绘制更新
    void Leave();
    EntityStateGravity stateGravity;
    bool bHooked = false;
    float lineX = 0;
    float lineY = 0;
    float last_lineX = 0;
    float last_lineY = 0;
};

